## javax.persistence.metamodel
Interface MapAttribute<X,K,V>

All Superinterfaces:
  Attribute<X,java.util.Map<K,V>>, Bindable<V>, PluralAttribute<X,java.util.Map<K,V>,V>

    public interface MapAttribute<X,K,V>

extends PluralAttribute<X,java.util.Map<K,V>,V>

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Method Summary
`java.lang.Class<K>` `getKeyJavaType()`
`Type<K>` `getKeyType()`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getCollectionType, getElementType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

Methods inherited from interface javax.persistence.metamodel.Bindable
`getBindableJavaType, getBindableType`

Method Detail

### getKeyJavaType

    java.lang.Class<K> getKeyJavaType()

### getKeyType

    Type<K> getKeyType()